
// PickUpdater.java
// Andrew Davison, ad@fivedots.coe.psu.ac.th, November 2021

/* Interface used in conjunction with the PickBehavior class.
   The object implementing picked() is called when the PickBehavior
   updateScene() detects a picked shape.

   The name (id) of the shape, and the point where the 
   pick ray intersects the shape, are passed to picked().

*/

import org.jogamp.vecmath.*;


interface PickUpdater
{
  public void picked(String id, Point3d pt);
}