
// LoadModel.java
// Andrew Davison, ad@fivedots.coe.psu.ac.th, October 2021

/*
  Examples:

     run LoadModel models/house/home.obj

     run LoadModel models/car/car.obj

     run LoadModel models/plane/fighter.obj

     run LoadModel models/bird/Hummingbird.obj

     run LoadModel models/penguin/penguin.obj

     run LoadModel models/teapot.obj

     run LoadModel models/shapes/cubeTex.obj
     run LoadModel models/shapes/dodecahedron.obj
*/

import org.jogamp.java3d.*;
import org.jogamp.vecmath.*;


public class LoadModel 
{
  public static void main(String[] args)
  {
    if (args.length != 1) {
      System.out.println("Usage: run LoadModel <filename>");
      System.exit(1);
    }

    Simple3D j3d = new Simple3D("Load Model", false, true);
    BranchGroup modelBG = Simple3D.loadModel(args[0]);
    // Simple3D.colorShape(modelBG, "blue");
    // Simple3D.textureShape(modelBG, "images/wood.jpg");

    if (modelBG != null)
      j3d.rootBG.addChild(modelBG);
  }

} // end of class LoadModel
