
// PickMoverListener.java
// Andrew Davison, ad@fivedots.coe.psu.ac.th, Dec. 2021

/*
   2007 Sun Microsystems, Inc. 
  
   This interface allows a class to be notified when a
   picked object is moved.
  
   When the picked object moves, the registered object's
   transformChanged() method is invoked.
*/


import org.jogamp.java3d.*;


public interface PickMoverListener 
{
  public final static int ROTATE = 0;
  public final static int TRANSLATE = 1;
  public final static int ZOOM = 2;
  public final static int NO_PICK = 3;


  /* 3-arg version of transformChanged() called by the 
     Pick Behavior each time the Picked object is moved
  */
  public void transformChanged(String id, int type, Transform3D t3d);

}  // end of PickMoverListener interface
