
// RGraph.java
// Andrew Davison, ad@fivedots.coe.psu.ac.th, October 2021


import org.jogamp.java3d.*;
import org.jogamp.vecmath.*;
import org.jogamp.java3d.utils.geometry.*;


public class RGraph
{

  public static void main(String[] args)
  {
    Simple3D j3d = new Simple3D("RGraph", true, true);

    BranchGroup rShape = Simple3D.text3D("R", "purple");   
               // "R" located at origin
    TransformGroup pos1TG = Simple3D.setTranslation(0,0.5,0);  
               // up the y axis
    pos1TG.addChild(rShape);   // pos1TG --> "R"

    TransformGroup rot1TG = Simple3D.rotX(-90);  // ccw around x-axis
    rot1TG.addChild(pos1TG);   // rot1TG ---> pos1TG --> "R"

    TransformGroup pos2TG = Simple3D.setTranslation(0,0.5,0);  
               // up the y axis
    pos2TG.addChild(rot1TG);  // pos2TG --> rot1TG ---> pos1TG --> "R"

    // add to the universe
    j3d.rootBG.addChild(Simple3D.createBG(pos2TG));
  }  // end of main()

}  // end of RGraph class
