
// SaveEarth.java
// Andrew Davison, ad@fivedots.coe.psu.ac.th, October 2021

import java.io.*;

import org.jogamp.java3d.*;
import org.jogamp.vecmath.*;
import org.jogamp.java3d.utils.geometry.*;


public class SaveEarth 
{

  public static void main(String[] args) 
  { 
    Simple3D j3d = new Simple3D("The Rotating SaveEarth");

    Sphere sphere = Simple3D.texSphere(0.4f, "images/earth1.jpg");
    TransformGroup rotTG = Simple3D.orbit(sphere, 4000);
    BranchGroup bg = Simple3D.createBG(rotTG);

    // j3d.rootBG.addChild(bg);
    // Simple3D.pause(3000); 

    try {
      OBJWriter ow = new OBJWriter("models/earth/savedEarth.obj"); 
                                  // models/earth/ should already exist
      ow.writeNode(bg); 
      ow.close();
      System.out.println("Write completed");
    }
    catch(IOException e)
    {  System.out.println(e);  }

    j3d.exit();
  }  // end of main()


}  // end of SaveEarth class
