
// ShowText3D.java
// Andrew Davison, ad@fivedots.coe.psu.ac.th, October 2021


import org.jogamp.java3d.*;
import org.jogamp.vecmath.*;


public class ShowText3D 
{

  public static void main(String[] args) 
  /*
      bg --> rotTG --> text3D
  */
  {
    if (args.length != 1) {
      System.out.println("Usage: run ShowText3D <message>");
      System.exit(1);
    }

    Simple3D j3d = new Simple3D("Text 3D");

    // yellow 3D text,  rotating with a period of 4000ms
    BranchGroup txtBG = Simple3D.text3D(args[0], "yellow");
    TransformGroup rotTG = Simple3D.orbit(txtBG, 4000);

    BranchGroup bg = Simple3D.createBG(rotTG);

    j3d.rootBG.addChild(bg);
  }  // end of main()


}  // end of ShowText3D class
