
// SunEarth.java
// Andrew Davison, ad@fivedots.coe.psu.ac.th, October 2021


import org.jogamp.java3d.*;
import org.jogamp.vecmath.*;
import org.jogamp.java3d.utils.geometry.*;



public class SunEarth 
{

  public static void main(String[] args) 
  /*
      sceneBG -->  rotTG --> posTG --> earth
            |   
            ----> sun
  */
  {
    Simple3D j3d = new Simple3D("The Sun and the Earth", 0, 1, 10, false, true);

    // build the shapes
    Sphere earthSphere = Simple3D.texSphere(0.4f, "images/earth1.jpg");
    Sphere sunSphere = Simple3D.texSphere(0.4f, "images/sun.jpg");

    // position the Earth along the -z axis
    TransformGroup posTG = Simple3D.setTranslation(0,0,-3);
    posTG.addChild(earthSphere);   // posTG --> earth

    // make the earth rotate with a period of 4000ms at posTG
    TransformGroup rotTG = Simple3D.orbit(posTG, 4000);

    // build scene
    BranchGroup sceneBG = new BranchGroup();
    sceneBG.addChild(sunSphere);
    sceneBG.addChild(rotTG);

    j3d.rootBG.addChild(sceneBG);
  }  // end of main()


}  // end of SunEarth class
