
// TeapotDimples.java
// Andrew Davison, ad@fivedots.coe.psu.ac.th, October 2021

import java.util.*;

import org.jogamp.java3d.*;
import org.jogamp.vecmath.*;



public class TeapotDimples
{
  private static final Color3f GOLD = ColorFactory.getColor("gold");
  private static final Color3f BLUE = ColorFactory.getColor("blue");


  public static void main(final String args[])
  {
    Simple3D j3d = new Simple3D("Dimple a Teapot");

    BranchGroup modelBG = Simple3D.loadModel("models/teapot.obj");

    // attributes for the dimple shaders
    Map<String,Object> dimpleAttrs = Map.of(
      "Density",        16.0f,
      "Size",           0.25f,
      "LightPosition",  new Point3f(0.0f, 0.0f, 0.5f),
      "Color",          GOLD   // BLUE
    );
    ShaderAppearance app = Simple3D.makeShaderApp(
                                        "shaders/dimple.vert", 
                                        "shaders/dimple.frag",
                                        dimpleAttrs);
/*
    ShaderAppearance app = Simple3D.makeShaderApp(
                                        "shaders/polkadot3d.vert", 
                                        "shaders/polkadot3d.frag");
*/
    Simple3D.applyShader(modelBG, app);
    j3d.rootBG.addChild(modelBG);
  } // end of main()

}  // end of TeapotDimples
