
// UseArm.java
// Andrew Davison, ad@fivedots.coe.psu.ac.th, October 2021

/*
  
*/

import java.io.*;
import java.util.*;

import org.jogamp.java3d.*;
// import org.jogamp.vecmath.*;
//import org.jogamp.java3d.utils.geometry.*;


public class UseArm
{

  public static void main(String[] args)
  {  
    Simple3D j3d = new Simple3D("JointedArm", 0, 1, 7, true, true);

    JointedArm arm = new JointedArm();  
    j3d.rootBG.addChild(arm.getBG());

    System.out.println("Possible commands:  b | u | l  <angle>");
    System.out.println("  b == base (the red cylinder), which rotates around the y-axis");
    System.out.println("  u == upper (the thin green cylinder), which rotates around the z-axis");
    System.out.println("  l == lower (the thin blue cylinder), which rotates around the z-axis");
    readCmds(arm);

    j3d.exit();
  }  // end of main()



  private static void readCmds(JointedArm arm)
  {
    try {
      BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
      String line;
      System.out.println("Enter command (e.g. quit)");
      System.out.print(">> ");
      while ((line = in.readLine()) != null) {
        line = line.trim().toLowerCase();
        if (line.length() == 0)
          continue;
        else if (line.equals("quit") || line.equals("q"))
          break;
        else 
          processCmd(line.split("\\s+"), arm);
        System.out.print(">> ");
      }
    }
    catch (Exception e) 
    {  System.out.println("Error: " + e);  }
  }  // end of readCmds()



  private static void processCmd(String[] toks, JointedArm arm)
  {
    if (toks.length != 2) {
      System.out.println("Wrong no. of args for \"" + toks[0] + "\"");
      return;
    }

    if (toks[0].equals("b"))
      arm.rotateBase(Simple3D.getDouble(toks[1]));
    else if (toks[0].equals("u"))
      arm.rotateUpper(Simple3D.getDouble(toks[1]));
    else if (toks[0].equals("l"))
      arm.rotateLower(Simple3D.getDouble(toks[1]));
    else
      System.out.println("Unrecognized command: " + toks[0]);
  }  // end of processCmd()


}  // end of UseArm class
