
// ViewEarthSG.java
// Andrew Davison, ad@fivedots.coe.psu.ac.th, October 2021


import org.jogamp.java3d.*;
import org.jogamp.vecmath.*;
import org.jogamp.java3d.utils.geometry.*;

import com.tornadolabs.j3dtree.*;    // for displaying the scene graph


public class ViewEarthSG 
{

  public static void main(String[] args) 
  /*
      bg --> rotTG --> sphere
  */
  { 
    Simple3D j3d = new Simple3D("View Earth's Scenegraph", false, true);
    Java3dTree j3dTree = new Java3dTree();
                // create a window for the scene graph

    // a textured sphere
    Sphere sphere = Simple3D.texSphere(0.4f, "images/earth1.jpg");

    // rotating with a period of 4000ms
    TransformGroup rotTG = Simple3D.orbit(sphere, 4000);
    // TransformGroup rotTG = Simple3D.orbit(sphere, 4000, Simple3D.X_AXIS);

    BranchGroup bg = Simple3D.createBG(rotTG);

    j3dTree.setCapabilities(bg);   // set capabilities for display

    j3d.rootBG.addChild(bg);

    j3dTree.showGraph(j3d.su);    // fill the display
  }  // end of main()


}  // end of ViewEarthSG class
