
/*
  	Background_Info.java

  	Project:		Java3dTree
  	Client:		Java 3D Community

  	Project Information:
  		dselman@tornadolabs.com
  		http://www.tornadolabs.com

  	@author Daniel Selman: dselman@tornadolabs.com
*/

package com.tornadolabs.j3dtree;

import org.jogamp.java3d.*;
import org.jogamp.vecmath.*;


public class Background_Info extends Leaf_Info
{
  private static final int[]    capabilities = {
    Background.ALLOW_APPLICATION_BOUNDS_READ,
    Background.ALLOW_COLOR_READ,
    Background.ALLOW_GEOMETRY_READ,
    Background.ALLOW_IMAGE_READ
  };

  public Background_Info()
  { }


  public java.util.Iterator getChildren(Object obj)
  {
    if(((Background) obj).getGeometry() != null)
      return combine(super.getChildren(obj),
                                        ((Background) obj).getGeometry());
    else
      return super.getChildren(obj);
  } /* getChildren */


  public int[] getCapabilityBits()
  {
    return combineArray(capabilities, super.getCapabilityBits());
  }


  public String getInfo(Object obj)
  {
    Background back = (Background) obj;

    String szText = super.getInfo(obj);
    szText = insertSectionBreak(szText);

    // szText += "Background\r\n";
    szText += "Application Bounding Leaf: " +
              back.getApplicationBoundingLeaf() + "\r\n";
    szText += "Application Bounds: " + back.getApplicationBounds() + "\r\n";

    Color3f color = new Color3f();
    back.getColor(color);
    szText += "Color: " + color + "\r\n";
    szText += "ImageComponent2D: " + back.getImage() + "\r\n";

    return szText;
  } /* getInfo */


}