
/*
  	Group_Info.java

  	Project:		Java3dTree
  	Client:		Java 3D Community

  	Project Information:
  		dselman@tornadolabs.com
  		http://www.tornadolabs.com

  	@author Daniel Selman: dselman@tornadolabs.com
*/

package com.tornadolabs.j3dtree;

import org.jogamp.java3d.*;


public class Group_Info extends Node_Info
{
  private static final int[]    capabilities = {
    Group.ALLOW_CHILDREN_READ,
    Group.ALLOW_COLLISION_BOUNDS_READ
  };

  public Group_Info()
  { }


  public java.util.Iterator getChildren(Object obj)
  {
    return combine(super.getChildren(obj),
                                      ((Group) obj).getAllChildren());
  }


  public int[] getCapabilityBits()
  {
    return combineArray(capabilities, super.getCapabilityBits());
  }


  public String getInfo(Object obj)
  {
    Group group = (Group) obj;

    String szText = super.getInfo(obj);
    szText = insertSectionBreak(szText);

    // szText += "Group\r\n";
    szText += "NumChildren: " + group.numChildren() + "\r\n";
    szText += "CollisionBounds: " + group.getCollisionBounds() + "\r\n";

    return szText;
  } /* getInfo */


}